import request from '@/utils/request';

class MapResource {
  constructor() {
  }
  permissions(id) {
    return request({
      url: '/' + this.uri + '/' + id + '/permissions',
      method: 'get',
    });
  }
  fetchArticle(data) {
    return request({
      url: '/wxuser/seek',
      method: 'post',
      data,
    });
  }
  updatePermission(id, permissions) {
    return request({
      url: '/' + this.uri + '/' + id + '/permissions',
      method: 'put',
      data: permissions,
    });
  }
}

export { MapResource as default };
